
package org.sky.scientific.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import org.sky.core.mp.base.BaseService;
import org.sky.scientific.excel.CgKylwExcel;
import org.sky.scientific.pojo.entity.CgKylwEntity;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * 科研成果-科研论文 服务类
 *
 * @author Kd
 * @since 2025-06-29
 */
public interface ICgKylwService extends BaseService<CgKylwEntity> {

	/**
	 * 导出数据
	 *
	 * @param queryWrapper 查询条件
	 * @return List<CgKylwExcel>
	 */
	List<CgKylwExcel> export(Wrapper<CgKylwEntity> queryWrapper);

    void importCgKylw(MultipartFile file);

	boolean save(CgKylwEntity cgKylw);

	boolean update(CgKylwEntity cgKylw);

	boolean physicalDeleteByIds(List<Long> ids);
}
